Setup BIRD with BGP on loopback or dummy interface  

For RHEL8 use 'nm' for NetworkManager and dummy iface for BGP IPs  
For RHEL7 use 'network-scripts' for network-scripts and lo iface for BGP IPs  

     network: "nm"
     network_nm_iface: "dummy0"

Use null for MTU auto
   
     network_nm_iface_mtu: null

BIRD config example:

    bird:
      bgp:
        common:
          storage04.s3.msk2.example.com:
            routerid: 10.101.42.14
          storage05.s3.msk2.example.com:
            routerid: 10.101.42.15
          storage06.s3.msk2.example.com:
            routerid: 10.101.42.16
          storage07.s3.msk2.example.com:
            routerid: 10.101.42.17
        static:
          - name: STATIC1
            networks:
              storage04.s3.msk2.example.com:
                - ip: "10.110.42.1"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
                - ip: "10.110.42.21"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
              storage05.s3.msk2.example.com:
                - ip: "10.110.42.1"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
                - ip: "10.110.42.21"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
              storage06.s3.msk2.example.com:
                - ip: "10.110.42.1"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
                - ip: "10.110.42.21"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
              storage07.s3.msk2.example.com:
                - ip: "10.110.42.1"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
                - ip: "10.110.42.21"
                  mask: "255.255.255.255"
                  mask_dash: "32"
                  bgp_local_pref: "100"
        bgp:
          - name: SW06
            remote_asnum: 4200200000
            local_asnum: 4200200000
            confederation: 209684
            remote_addr: "10.127.2.6"
            export:
              - STATIC1
          - name: SW10
            remote_asnum: 4200200000
            local_asnum: 4200200000
            confederation: 209684
            remote_addr: "10.127.2.10"
            export:
              - STATIC1
